#ifndef TRIMODEL_H
#define TRIMODEL_H

#include "cpgl.h"
#include <vector>

typedef struct {
    int             nelements;
    GLfloat*        verts;      // vertex array
    GLfloat*        norms;      // vertex normals
} TriGroup; 


typedef struct {

    GLhandleARB     vs;     // vertex shader
    GLhandleARB     fs;     // frag shader
    GLhandleARB     prg;    // program object
    int             ngroups;
    TriGroup*       groups;
} TriModel;

TriModel*   LoadTriModel(const char* filename);
void        FreeTriModel(TriModel* t);
void        DrawTriModel(TriModel* t);
#endif

