uniform samplerCube     CubeMapTex;

varying vec3 normal, lightDir, halfVector, eyeDir;
varying vec4 diffuse,ambient;

void main(void)
{    
    float NdotL, NdotHV;
    vec4 color = ambient;
    vec3 n = normalize(normal);
    NdotL = max(dot(n,lightDir),0.0);
    if( NdotL > 0.0 )
    {
        color += diffuse * NdotL;
        NdotHV = max( dot( n, normalize(halfVector)), 0.0);
        color += gl_FrontMaterial.specular * gl_LightSource[1].specular *
            pow(NdotHV, gl_FrontMaterial.shininess);

    }

    // our cube map forces us to make the reflectDir negative... 
    // mainly cause of our texture resources.... anyway :)
    vec3 reflectDir = -reflect( eyeDir, normal);
    vec4 texturecolor = textureCube( CubeMapTex, normalize(reflectDir)); 

    gl_FragColor = vec4( vec3(mix( color, texturecolor, .6)) , .8);
}
